Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.file
Class ResourceManagerSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.transaction.file.ResourceManagerException
                  org.apache.commons.transaction.file.ResourceManagerSystemException

All Implemented Interfaces:
  ResourceManagerErrorCodes, Serializable

public class ResourceManagerSystemException
extends ResourceManagerException

Signals an internal system error in a `ResourceManager`.

Version:
  $Revision$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.transaction.file.ResourceManagerException
`ERR_UNKNOWN_CODE, ERR_UNKNOWN_TEXT, status, txId`

Fields inherited from interface org.apache.commons.transaction.file.ResourceManagerErrorCodes
`ERR_DEAD_LOCK, ERR_DUP_TX, ERR_ISOLATION_LEVEL_UNSUPPORTED, ERR_LOCK, ERR_MARKED_FOR_ROLLBACK, ERR_NO_LOCK, ERR_NO_SUCH_RESOURCE, ERR_NO_TX, ERR_RESOURCE_EXISTS, ERR_RESOURCEID_INVALID, ERR_SYSTEM, ERR_SYSTEM_INCONSISTENT, ERR_THREAD_INVALID, ERR_TX_INACTIVE, ERR_TX_INCONSISTENT, ERR_TXID_INVALID, ERR_UNKNOWN`

Constructor Summary
`ResourceManagerSystemException(int status, Object txId)`
`ResourceManagerSystemException(int status, Object txId, Throwable cause)`
`ResourceManagerSystemException(String message, int status, Object txId)`
`ResourceManagerSystemException(String message, int status, Object txId, Throwable cause)`

Methods inherited from class org.apache.commons.transaction.file.ResourceManagerException
`composeMessage, composeMessage, getStatus, statusToCode, statusToString, statusToText`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceManagerSystemException

    public ResourceManagerSystemException(String message,
                                          int status,
                                          Object txId,
                                          Throwable cause)

### ResourceManagerSystemException

    public ResourceManagerSystemException(String message,
                                          int status,
                                          Object txId)

### ResourceManagerSystemException

    public ResourceManagerSystemException(int status,
                                          Object txId,
                                          Throwable cause)

### ResourceManagerSystemException

    public ResourceManagerSystemException(int status,
                                          Object txId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.